import { Photo, ImageOptions } from '@capacitor/camera';
import { DeepClient } from '@deep-foundation/deeplinks/imports/client';
/**
 * Represents the parameters for using the camera.
 */
export interface IUseCameraOptions {
    deep: DeepClient;
    containerLinkId: number;
    options?: ImageOptions;
}
/**
 * Custom hook for using the camera.
 * @param {IUseCameraOptions} param0 - The parameters for using the camera.
 * @returns {Function} A function that can be called to capture a new photo.
 */
export declare const useCamera: ({ deep, containerLinkId, options }: IUseCameraOptions) => {
    photos: Photo[];
    newPhoto: () => Promise<Photo>;
};
